Saturday, May 14, 2011

Install Boxee on Ubuntu 11.04 Natty Narwhal

The Ubuntu package for the current version of Boxee as of this writing,, does not install on the latest version of Ubuntu.  It throws an error "Dependency is not satisfiable: libxmlrpc-c3"  The problem arises because libxmlrpc-c3 has been renamed to libxmlprc-c3-0.  The solution is to modify the debian package and change its dependencies.  This is easier than it sounds, but you have to know how.  Download the debian installer from the Boxee website, and place it in your home directory and then open up a terminal
dpkg-deb -x boxee- boxee
dpkg-deb --control boxee- boxee/DEBIAN
Now we need to edit the file that lists the dependencies.  Run the first command to do it with a GUI, or the second to use vim.
gedit boxee/DEBIAN/control
vi boxee/DEBIAN/control
Find libxmlrpc-c3 in this file and append -0 to the end of it so that is read "libxmlrpc-c3-0", and save the file.  Now we need to repackage our changes into a new debian package file.
dpkg -b boxee boxee-works.deb
When it is done simply double-click the newly created boxee-works.deb file and install it with Software Center.  Hopefully it will not be too long before the peeps over at Boxee fix the package so that it Just Works™.